Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] extra-packages
  • From: Lukas Ocilka <lukas.ocilka@xxxxxxx>
  • Date: Wed, 19 Mar 2008 11:07:00 +0100
  • Message-id: <47E0E5C4.4060002@xxxxxxx>
Stephan Kulow napsal(a):
Am Mittwoch 19 März 2008 schrieb Lukas Ocilka:
What do you think of that? Is there a better way than check against PDB?
Webpin?

Well, you can add all these packages as either requires or build requires
to yast2-build-test.spec (remember arch specifics) and you end up in the same
list that the packagers get complains from.

And yes, it's only against STABLE, but we don't drop or rename packages in
released products, so it doesn't matter.

Now that extra-packages is machine readable, we could automate the change
on every edit. But at first we need to cleanup the current mess, as every
maintainer will have to check if the module really tries to install autofs4.

Well, first it should be said why we have different RPM Requires and
BuildRequires.

* Some packages are in BR but not in R
- They are needed just to build the package because ... hmm, that
sounds rather like an error, doesn't it :)?

* Some packages are in R but not in BR
- Of course, you don't need to install all packages when building the
YaST package. It makes the build faster.

Of course, if you don't care that BuildRequires will contain 'ALL'
packages listed in Requires, we would just simply change the 'make
package' command to add everything from 'Requires' to 'BuildRequires'.
It would be 'Fast but Furious (II.)' ;)

Lukas

< Previous Next >
Follow Ups